{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v1"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"complexType.UnitAndValue_double":{"type":"object","description":"A numeric value tagged with its unit","properties":{"unit":{"type":"string"},"value":{"type":"number"}}},"complexType.UnitAndValue_long":{"type":"object","description":"A numeric value tagged with its unit","properties":{"unit":{"type":"string"},"value":{"type":"integer"}}},"dedicated.DatacenterEnum":{"type":"string","description":"ovh datacenter","enum":["bhs1","bhs2","bhs3","bhs4","bhs5","bhs6","bhs7","bhs8","cch01","crx1","crx2","dc1","eri1","eri2","frcrx41","frcrx42","frcrx43","gra04","gra1","gra2","gra3","gsw","hdf01","hil1","ieb01","itbsi01","itmil01","itzvf01","lil1-int1","lim1","lim2","lim3","mr901","p19","rbx","rbx-hz","rbx1","rbx10","rbx2","rbx3","rbx4","rbx5","rbx6","rbx7","rbx8","rbx9","sbg1","sbg2","sbg3","sbg4","sbg5","sgp02","sgp1","syd03","syd1","syd2","vin1","waw1","ynm1","yyz01"]},"dedicatedCloud.Host":{"type":"object","description":"Host","properties":{"billingType":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.ressources.BillingTypeEnum"}],"description":"Billing type of the host","readOnly":true},"clusterName":{"type":"string","description":"Cluster of the host","nullable":true,"readOnly":true},"connectionState":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.hostSystemConnectionState"}],"description":"Connection state of the host","nullable":true,"readOnly":true},"cpu":{"allOf":[{"$ref":"#/components/schemas/complexType.UnitAndValue_double"}],"description":"CPU total frenquency","readOnly":true},"cpuMax":{"type":"integer","description":"The maximum speed of the cpu, in Mhz","nullable":true,"readOnly":true},"cpuMaxCore":{"type":"integer","description":"The speed of the CPU cores. This is an average value if there are multiple speeds. in Mhz","nullable":true,"readOnly":true},"cpuNum":{"type":"integer","description":"Number of physical CPU cores on the host.","nullable":true,"readOnly":true},"cpuUsed":{"type":"integer","description":"Current cpu utilization, in Mhz","nullable":true,"readOnly":true},"hostId":{"type":"integer","description":"Id of the host","readOnly":true},"inMaintenance":{"type":"boolean","description":"Host is in maintenance mode","nullable":true,"readOnly":true},"memoryUsed":{"type":"number","description":"Amount of used memory. Sum of the memory used by all powered on virtual machines and vSphere services on the host. in MB","nullable":true,"readOnly":true},"name":{"type":"string","description":"Name of the host (IP address)","readOnly":true},"parentHostId":{"type":"integer","description":"Id of the parent host (if any)","nullable":true,"readOnly":true},"profile":{"type":"string","description":"Host profile in a commercial range","readOnly":true},"profileCode":{"type":"string","description":"Host profile code","readOnly":true},"rack":{"type":"string","description":"Rack of the host","readOnly":true},"ram":{"allOf":[{"$ref":"#/components/schemas/complexType.UnitAndValue_long"}],"description":"Total RAM quantity","readOnly":true},"resourceName":{"type":"string","description":"Resource name","nullable":true,"readOnly":true},"state":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.host.StateEnum"}],"description":"State of the host","readOnly":true},"uptime":{"type":"integer","description":"Host uptime in second","nullable":true,"readOnly":true},"vmTotal":{"type":"integer","description":"Number of Virtual Machine on the host","nullable":true,"readOnly":true},"vmVcpuTotal":{"type":"integer","description":"Number of Vcpu use by virtual machines on the host","nullable":true,"readOnly":true}}},"dedicatedCloud.HostResilience":{"type":"object","description":"Host resilience test status","properties":{"state":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.option.StateEnum"}],"description":"State of the option","readOnly":true}}},"dedicatedCloud.Task":{"type":"object","description":"Operation","properties":{"createdBy":{"type":"string","description":"Creator of the task","nullable":true,"readOnly":true},"createdFrom":{"type":"string","description":"Origin of the task","nullable":true,"readOnly":true},"datacenterId":{"type":"integer","description":"datacenterId of the associated dedicatedCloud.Datacenter object","nullable":true,"readOnly":true},"description":{"type":"string","description":"Current progress description","nullable":true,"readOnly":true},"endDate":{"type":"string","description":"Task end date","nullable":true,"format":"date-time","readOnly":true},"executionDate":{"type":"string","description":"Task execution date","format":"date-time","readOnly":true},"filerId":{"type":"integer","description":"filerId of the associated dedicatedCloud.Filer object","nullable":true,"readOnly":true},"hostId":{"type":"integer","description":"hostId of the associated dedicatedCloud.Host object","nullable":true,"readOnly":true},"lastModificationDate":{"type":"string","description":"Task last modification date","nullable":true,"format":"date-time","readOnly":true},"maintenanceDateFrom":{"type":"string","description":"Maintenance task min allowed execution date","nullable":true,"format":"date-time","readOnly":true},"maintenanceDateTo":{"type":"string","description":"Maintenance task max allowed execution date","nullable":true,"format":"date-time","readOnly":true},"name":{"type":"string","description":"Task name","readOnly":true},"network":{"type":"string","description":"network of the associated dedicatedCloud.Ip object","nullable":true,"readOnly":true},"networkAccessId":{"type":"integer","description":"networkAccessId of the associated dedicatedCloud.AllowedNetwork object","nullable":true,"readOnly":true},"orderId":{"type":"integer","description":"orderId of the associated billing.Order object","nullable":true,"readOnly":true},"parentTaskId":{"type":"integer","description":"taskId of the parent dedicatedCloud.Task object","nullable":true,"readOnly":true},"progress":{"type":"integer","description":"Current progress","readOnly":true},"state":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.TaskStateEnum"}],"description":"Current Task state","readOnly":true},"taskId":{"type":"integer","description":"Task id","readOnly":true},"type":{"type":"string","description":"Task type","readOnly":true},"userId":{"type":"integer","description":"userId of the associated dedicatedCloud.User object","nullable":true,"readOnly":true},"vlanId":{"type":"integer","description":"vlanId of the parent dedicatedCloud.Vlan object","nullable":true,"readOnly":true}}},"dedicatedCloud.TaskStateEnum":{"type":"string","description":"All states a Dedicated Cloud Task can be in","enum":["canceled","doing","done","error","fixing","toCancel","toCreate","todo","unknown","waitingForChilds","waitingTodo"]},"dedicatedCloud.host.HourlyConsumption":{"type":"object","description":"Hourly consumption of a host","properties":{"consumption":{"allOf":[{"$ref":"#/components/schemas/complexType.UnitAndValue_double"}],"description":"Consumption of the Host."},"lastUpdate":{"type":"string","description":"Last update.","format":"date-time"}}},"dedicatedCloud.host.Location":{"type":"object","description":"Location of the Host","properties":{"datacenter":{"allOf":[{"$ref":"#/components/schemas/dedicated.DatacenterEnum"}],"description":"Datacenter of the Host."},"rack":{"type":"string","description":"Rack of the Host."},"room":{"type":"string","description":"Room of the Host."}}},"dedicatedCloud.host.Profile":{"type":"object","description":"A Host profile","properties":{"core":{"type":"string"},"cpu":{"$ref":"#/components/schemas/complexType.UnitAndValue_double"},"name":{"type":"string"},"ram":{"$ref":"#/components/schemas/complexType.UnitAndValue_long"}}},"dedicatedCloud.host.StateEnum":{"type":"string","description":"All states a Dedicated Cloud Host can be in","enum":["adding","delivered","error","removing","unknown"]},"dedicatedCloud.hostSystemConnectionState":{"type":"string","description":"The connection state of the host","enum":["connected","disconnected","notResponding"]},"dedicatedCloud.option.StateEnum":{"type":"string","description":"States of a Dedicated Cloud option","enum":["disabled","disabling","enabled","enabling","error","migrating","unknown"]},"dedicatedCloud.ressources.BillingTypeEnum":{"type":"string","description":"The billing type of this Dedicated Cloud ressource","enum":["freeSpare","hourly","monthly","undefined"]},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host":{"get":{"summary":"List hosts","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"type":"integer"}}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Hosts@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/host/get","required":true}],"x-expanded-response":"DedicatedCloudHost"}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}":{"get":{"summary":"Get a host","description":"Get a host. Returns the host: profile, state, connection state, cluster, CPU and memory usage, and number of virtual machines.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"hostId","description":"Id of the host","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Host"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Hosts@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/host/get","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/addHostSpare":{"post":{"summary":"Request a host replacement","description":"Request a host replacement. Asks for a spare host to replace this host. A reason is required. Returns a task to track progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"hostId","description":"Id of the host","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"reason":{"type":"string","description":"Reason of spare add"}},"required":["reason"]}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Hosts@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: string\nresult = client.post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/addHostSpare\",\n\treason = None, # Reason of spare add (type: string)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: string\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/addHostSpare\", array(\n\treason => null, // Reason of spare add (type: string)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/host/addHostSpare","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/hourlyConsumption":{"get":{"summary":"Get the host consumption","description":"Get the host consumption. Returns the hourly consumption of the host. Deprecated: use `/me/consumption/usage/current` instead.","deprecated":true,"x-deprecation-date":"2019-06-01T00:00:00+01:00","x-deletion-date":"2019-07-01T00:00:00+01:00","x-replacement-route":"/me/consumption/usage/current","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"hostId","description":"Id of the host","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.host.HourlyConsumption"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Hosts@@@10"]],"x-badges":[{"color":"red","label":"Deprecated, will be removed"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/hourlyConsumption\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/hourlyConsumption\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/host/hourlyConsumption/get","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/location":{"get":{"summary":"Get the host location","description":"Get the host location. Returns the OVHcloud datacenter, room and rack of the host, not its vSphere datacenter.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"hostId","description":"Id of the host","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.host.Location"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Hosts@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/location\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/location\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/host/location/get","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/remove":{"post":{"summary":"Remove a host","description":"Remove a host. Removes the host from the datacenter. To replace a faulty host instead, request a spare with `addHostSpare`. Returns a task to track progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"hostId","description":"Id of the host","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Hosts@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/remove\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/remove\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/host/remove","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/resilience":{"get":{"summary":"Get the host resilience test","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"hostId","description":"Id of the host","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.HostResilience"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Hosts@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/resilience\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/resilience\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/host/resilience/get","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/resilience/canBeEnabled":{"get":{"summary":"Check if a resilience test can start","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"hostId","description":"Id of the host","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"boolean"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Hosts@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/resilience/canBeEnabled\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/resilience/canBeEnabled\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/host/resilience/canBeEnabled/get","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/resilience/disable":{"post":{"summary":"Stop the resilience test","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"hostId","description":"Id of the host","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Hosts@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/resilience/disable\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/resilience/disable\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/host/resilience/disable","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/resilience/enable":{"post":{"summary":"Start a resilience test","description":"Start a resilience test. Cuts the network access of the host for the given duration, then reconnects it: 10 minutes to 24 hours, 1 hour by default. Returns a task to track progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"hostId","description":"Id of the host","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"duration":{"type":"integer","description":"Duration test in minutes. Host will be reconnected after this period (min:10min, max:24h, default:1h)"}}}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Hosts@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: long\nresult = client.post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/resilience/enable\",\n\tduration = None, # Duration test in minutes. Host will be reconnected after this period (min:10min, max:24h, default:1h) (type: long, nullable)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: long\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/host/{hostId}/resilience/enable\", array(\n\tduration => null, // Duration test in minutes. Host will be reconnected after this period (min:10min, max:24h, default:1h) (type: long, nullable)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/host/resilience/enable","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderNewHostHourly":{"post":{"summary":"Order an hourly host","description":"Order an hourly host. Orders a host billed by the hour with the given host profile, optionally in a given cluster. Returns a task to track progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"Host profile you want to order"},"vmwareClusterId":{"type":"string","description":"Id of the cluster you want the host to be added (\"domain-cXX\")"}},"required":["name"]}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Hosts@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderNewHostHourly\",\n\tname = None, # Host profile you want to order (type: string)\n\tvmwareClusterId = None, # Id of the cluster you want the host to be added (\"domain-cXX\") (type: string, nullable)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderNewHostHourly\", array(\n\tname => null, // Host profile you want to order (type: string)\n\tvmwareClusterId => null, // Id of the cluster you want the host to be added (\"domain-cXX\") (type: string, nullable)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/orderNewHostHourly","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderableHostProfiles":{"get":{"summary":"List orderable host profiles","description":"List orderable host profiles. Returns the host profiles that can be ordered in the datacenter, with their CPU, cores and RAM.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/dedicatedCloud.host.Profile"}}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Hosts@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderableHostProfiles\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderableHostProfiles\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/orderableHostProfiles/get","required":true}]}}}}
